
-- 
-- Definition of  OBUF
-- 
--      08/02/12 10:14:03
--      
--      Precision RTL Synthesis, 2011a_Update2.76
-- 

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.VITAL_Timing.all;

entity OBUF is 
   generic (CAPACITANCE : string;
      DRIVE : string;
      IOSTANDARD : string;
      SLEW : string) ;
   
   port (
      O : OUT std_logic ;
      I : IN std_logic) ;attribute RTLC_TECH_CELL: boolean;
   attribute RTLC_TECH_CELL of 
      OBUF : entity is true;
      end OBUF ;

architecture NETLIST of OBUF is       
      begin
      end NETLIST ;
      

-- 
-- Definition of  IBUFG
-- 
--      08/02/12 10:14:03
--      
--      Precision RTL Synthesis, 2011a_Update2.76
-- 

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.VITAL_Timing.all;

entity IBUFG is 
   generic (CAPACITANCE : string;
      IBUF_DELAY_VALUE : string;
      IOSTANDARD : string) ;
   
   port (
      O : OUT std_logic ;
      I : IN std_logic) ;attribute RTLC_TECH_CELL: boolean;
   attribute RTLC_TECH_CELL of 
      IBUFG : entity is true;
      end IBUFG ;

architecture NETLIST of IBUFG is       
      begin
      end NETLIST ;
      

-- 
-- Definition of  CLKDLL
-- 
--      08/02/12 10:14:03
--      
--      Precision RTL Synthesis, 2011a_Update2.76
-- 

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.VITAL_Timing.all;

entity CLKDLL is 
   generic (CLKDV_DIVIDE : real;
      DUTY_CYCLE_CORRECTION : boolean;
      FACTORY_JF : bit_vector;
      STARTUP_WAIT : boolean) ;
   
   port (
      CLK0 : OUT std_logic ;
      CLK90 : OUT std_logic ;
      CLK180 : OUT std_logic ;
      CLK270 : OUT std_logic ;
      CLK2X : OUT std_logic ;
      CLKDV : OUT std_logic ;
      LOCKED : OUT std_logic ;
      CLKIN : IN std_logic ;
      CLKFB : IN std_logic ;
      RST : IN std_logic) ;attribute RTLC_TECH_CELL: boolean;
   attribute RTLC_TECH_CELL of 
      CLKDLL : entity is true;
      end CLKDLL ;

architecture NETLIST of CLKDLL is       
      begin
      end NETLIST ;
      

-- 
-- Definition of  IBUF
-- 
--      08/02/12 10:14:03
--      
--      Precision RTL Synthesis, 2011a_Update2.76
-- 

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.VITAL_Timing.all;

entity IBUF is 
   generic (CAPACITANCE : string;
      IBUF_DELAY_VALUE : string;
      IFD_DELAY_VALUE : string;
      IOSTANDARD : string) ;
   
   port (
      O : OUT std_logic ;
      I : IN std_logic) ;attribute RTLC_TECH_CELL: boolean;
   attribute RTLC_TECH_CELL of 
      IBUF : entity is true;
      end IBUF ;

architecture NETLIST of IBUF is       
      begin
      end NETLIST ;
      

-- 
-- Definition of  BUFG
-- 
--      08/02/12 10:14:03
--      
--      Precision RTL Synthesis, 2011a_Update2.76
-- 

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.VITAL_Timing.all;

entity BUFG is 
   port (
      O : OUT std_logic ;
      I : IN std_logic) ;attribute RTLC_TECH_CELL: boolean;
   attribute RTLC_TECH_CELL of 
      BUFG : entity is true;
      end BUFG ;

architecture NETLIST of BUFG is       
      begin
      end NETLIST ;
      

-- 
-- Definition of  SRL16
-- 
--      08/02/12 10:14:03
--      
--      Precision RTL Synthesis, 2011a_Update2.76
-- 

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.VITAL_Timing.all;

entity SRL16 is 
   generic (INIT : bit_vector) ;
   
   port (
      Q : OUT std_logic ;
      D : IN std_logic ;
      A0 : IN std_logic ;
      A1 : IN std_logic ;
      A2 : IN std_logic ;
      A3 : IN std_logic ;
      CLK : IN std_logic) ;attribute RTLC_TECH_CELL: boolean;
   attribute RTLC_TECH_CELL of 
      SRL16 : entity is true;
      end SRL16 ;

architecture NETLIST of SRL16 is       
      begin
      end NETLIST ;
      
