--
-- VHDL Architecture Cosmix_lib.Hex4Display.arch_name
--
-- Created:
--          by - goodrick.UNKNOWN (PCCO)
--// ARCHITECTURE architecture_name OF entity_name IS
--// 	block_declarative_item
--// BEGIN
--//	concurrent_statement
--// END architecture_name;

--          at - 11:58:53 19/08/2005
--
-- using Mentor Graphics HDL Designer(TM) 2003.2 (Build 28)
--
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY Hex4Display IS
  PORT( 
    CtCk   : IN     std_logic;
    InBitz : IN     std_logic_vector (15 DOWNTO 0);
    Rst    : IN     std_logic;
    Blank  : OUT    std_logic;
    Datz   : OUT    std_logic_vector (3 DOWNTO 0);
    Holdz  : OUT    std_logic_vector (3 DOWNTO 0)
  );

-- Declarations

END Hex4Display ;

--
ARCHITECTURE simple OF Hex4Display IS

  signal kount : std_logic_vector (7 downto 0) ;
--//  signal Blk : std_logic ;
  begin
    process (CtCk,Rst )
    begin
      if ( CtCk'event and CtCk='1' ) then
        if ( Rst  = '0' ) then
--//          Blank <= (kount (8 downto 8) = "1") ;
          Blank <= '0';
--//          kount <= kount + 1 ;
          kount <= std_logic_vector(conv_unsigned(conv_integer(unsigned(kount)) + 1,8));
        else
          Blank <= '0' ;
--//          Blk <= not Blk ;
--//          Blank <= Blk;
          kount <= "00000000" ;
        end if ;
        
        if (kount (7 downto 6)="11") then
            Datz <= InBitz (15 downto 12) ;
            if (kount (5 downto 5)="0") then
              Holdz (3 downto 0) <= "0111" ;
            else
              Holdz (3 downto 0) <= "1111" ;
            end if ;
        end if ;
        
        if (kount (7 downto 6)="10") then
          Datz <= InBitz (11 downto 8) ;
          if (kount (5 downto 5)="0") then
            Holdz (3 downto 0) <= "1011" ;
          else
            Holdz (3 downto 0) <= "1111" ;
          end if ;
        end if ;
        
        if (kount (7 downto 6)="01") then
          Datz <= InBitz (7 downto 4) ;
          if (kount (5 downto 5)="0") then
            Holdz (3 downto 0) <= "1101" ;
          else
            Holdz (3 downto 0) <= "1111" ;
          end if ;
        end if ;
        
        if (kount (7 downto 6)="00") then
          Datz <= InBitz (3 downto 0) ;
          if (kount (5 downto 5)="0") then
            Holdz (3 downto 0) <= "1110" ;
          else
            Holdz (3 downto 0) <= "1111" ;
          end if ;
        end if ;
      end if ;
         
    end process ;
  END simple ;
  
