--
-- VHDL Architecture Cosmic0_lib.HitLogic.Simple
--
-- Created:
--          by - goodrick.UNKNOWN (PCEQ)
--          at - 13:41:11 21/06/2004
--
-- using Mentor Graphics HDL Designer(TM) 2003.2 (Build 28)
--
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY HitLogic IS
   PORT( 
      CK   : IN     std_logic;
      Puls : IN     std_logic;
      Hit  : OUT    std_logic
   );

-- Declarations

END HitLogic ;

--
ARCHITECTURE Simple OF HitLogic IS
   -- signal D0 : std_logic;
   signal Q0 : std_logic;
   signal Q1 : std_logic;
--   signal Q1n std_logic;
BEGIN
   Hit <= Q1;
   --   
   process (CK,Puls)
   begin
 --     if(NOW < 40 ns) then
 --        Q0 <= '0';
 --        Q1 <= '0';
 --     end if;
      --
      if(Puls = '1') then
         Q0 <= '1';
      elsif(CK'event AND CK = '1') then
         Q0  <= ((Q0 AND NOT Q1) OR Puls);
         Q1  <= Q0;
      end if;
   end process;
   --
END Simple;

