--
-- VHDL Architecture Cosmix_lib.SpHitLogic.Simple
--
-- Created:
--          by - goodrick.UNKNOWN (PCFV)
--          at - 14:03:27 31/08/2010
--
-- using Mentor Graphics HDL Designer(TM) 2007.1 (Build 19)
--
LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY SpHitLogic IS
   PORT( 
     CK      : IN     std_logic;
     Puls    : IN     std_logic;
     Hit     : OUT    std_logic
   );
   --CK100Hz : IN     std_logic;
   --Veto    : IN     std_logic;
   --Flash   : OUT    std_logic

-- Declarations

END SpHitLogic ;

--
ARCHITECTURE Simple OF SpHitLogic IS
     -- signal D0 : std_logic;
     signal Q0, Q1, Q2, Q3 : std_logic;
  --   signal Q1n std_logic;
  BEGIN
     --   
     process (CK,Puls)
     begin
        if(Puls = '1') then
           Q0 <= '1';
        elsif(rising_edge(CK)) then
           Q0  <= ((Q0 AND NOT Q1) OR Puls);
        end if;
        --
        if(rising_edge(CK)) then
           Q1  <= Q0 AND (Puls OR NOT Q1);
           Q2  <= Q1 ;
           Q3  <= Q2 ;
        end if;
     end process;
     Hit <= (Q1 OR Q2) AND NOT Q3 ;
     --

     --
END ARCHITECTURE Simple;

