<?xml version="1.0" encoding="UTF-8"?>
<drawing version="7">
    <attr value="spartan6" name="DeviceFamilyName">
        <trait delete="all:0" />
        <trait editname="all:0" />
        <trait edittrait="all:0" />
    </attr>
    <netlist>
        <signal name="serRxd" />
        <signal name="clk4x" />
        <signal name="rst" />
        <signal name="dataOut(7:0)" />
        <signal name="XLXN_14" />
        <signal name="serTxd" />
        <signal name="dataReady" />
        <signal name="newCom" />
        <signal name="newData" />
        <signal name="dataIn(7:0)" />
        <signal name="clk" />
        <port polarity="Input" name="serRxd" />
        <port polarity="Input" name="clk4x" />
        <port polarity="Input" name="rst" />
        <port polarity="Output" name="dataOut(7:0)" />
        <port polarity="Output" name="serTxd" />
        <port polarity="Input" name="dataReady" />
        <port polarity="Output" name="newCom" />
        <port polarity="Output" name="newData" />
        <port polarity="Input" name="dataIn(7:0)" />
        <port polarity="Input" name="clk" />
        <blockdef name="CommandDetector">
            <timestamp>2012-8-7T11:21:35</timestamp>
            <rect width="304" x="64" y="-128" height="128" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <rect width="64" x="0" y="-44" height="24" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="432" y1="-96" y2="-96" x1="368" />
            <line x2="432" y1="-32" y2="-32" x1="368" />
        </blockdef>
        <blockdef name="DataSynchroniser">
            <timestamp>2012-8-7T15:2:48</timestamp>
            <rect width="256" x="64" y="-192" height="192" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="384" y1="-160" y2="-160" x1="320" />
            <rect width="64" x="320" y="-108" height="24" />
            <line x2="384" y1="-96" y2="-96" x1="320" />
        </blockdef>
        <blockdef name="UARTDriver">
            <timestamp>2012-8-7T14:48:33</timestamp>
            <rect width="256" x="64" y="-192" height="192" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <rect width="64" x="0" y="-108" height="24" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="384" y1="-160" y2="-160" x1="320" />
        </blockdef>
        <block symbolname="CommandDetector" name="UART_CMD_DET">
            <blockpin signalname="dataOut(7:0)" name="data(7:0)" />
            <blockpin signalname="XLXN_14" name="dataReady" />
            <blockpin signalname="newData" name="newData" />
            <blockpin signalname="newCom" name="newCom" />
        </block>
        <block symbolname="DataSynchroniser" name="UART_DATA_SYNC">
            <blockpin signalname="serRxd" name="serialIn" />
            <blockpin signalname="clk4x" name="clk4x" />
            <blockpin signalname="rst" name="rst" />
            <blockpin signalname="XLXN_14" name="newData" />
            <blockpin signalname="dataOut(7:0)" name="dataOut(7:0)" />
        </block>
        <block symbolname="UARTDriver" name="XLXI_1">
            <blockpin signalname="clk" name="clk" />
            <blockpin signalname="dataIn(7:0)" name="dataIn(7:0)" />
            <blockpin signalname="dataReady" name="dataReady" />
            <blockpin signalname="serTxd" name="serialOut" />
        </block>
    </netlist>
    <sheet sheetnum="1" width="3520" height="2720">
        <branch name="serRxd">
            <wire x2="1008" y1="1232" y2="1232" x1="864" />
        </branch>
        <branch name="clk4x">
            <wire x2="1008" y1="1296" y2="1296" x1="864" />
        </branch>
        <branch name="rst">
            <wire x2="1008" y1="1360" y2="1360" x1="864" />
        </branch>
        <iomarker fontsize="28" x="864" y="1232" name="serRxd" orien="R180" />
        <iomarker fontsize="28" x="864" y="1296" name="clk4x" orien="R180" />
        <iomarker fontsize="28" x="864" y="1360" name="rst" orien="R180" />
        <branch name="dataOut(7:0)">
            <wire x2="1456" y1="1296" y2="1296" x1="1392" />
            <wire x2="1536" y1="1296" y2="1296" x1="1456" />
            <wire x2="1456" y1="1296" y2="1360" x1="1456" />
            <wire x2="2064" y1="1360" y2="1360" x1="1456" />
        </branch>
        <branch name="XLXN_14">
            <wire x2="1536" y1="1232" y2="1232" x1="1392" />
        </branch>
        <instance x="1536" y="1328" name="UART_CMD_DET" orien="R0">
        </instance>
        <branch name="newCom">
            <wire x2="2064" y1="1296" y2="1296" x1="1968" />
        </branch>
        <branch name="newData">
            <wire x2="2064" y1="1232" y2="1232" x1="1968" />
        </branch>
        <instance x="1008" y="1392" name="UART_DATA_SYNC" orien="R0">
        </instance>
        <branch name="serTxd">
            <wire x2="2064" y1="1680" y2="1680" x1="1680" />
        </branch>
        <branch name="dataIn(7:0)">
            <wire x2="1296" y1="1744" y2="1744" x1="864" />
        </branch>
        <iomarker fontsize="28" x="864" y="1744" name="dataIn(7:0)" orien="R180" />
        <branch name="dataReady">
            <wire x2="1296" y1="1680" y2="1680" x1="864" />
        </branch>
        <iomarker fontsize="28" x="864" y="1680" name="dataReady" orien="R180" />
        <iomarker fontsize="28" x="2064" y="1296" name="newCom" orien="R0" />
        <iomarker fontsize="28" x="2064" y="1232" name="newData" orien="R0" />
        <iomarker fontsize="28" x="2064" y="1360" name="dataOut(7:0)" orien="R0" />
        <iomarker fontsize="28" x="2064" y="1680" name="serTxd" orien="R0" />
        <instance x="1296" y="1840" name="XLXI_1" orien="R0">
        </instance>
        <branch name="clk">
            <wire x2="1296" y1="1808" y2="1808" x1="864" />
        </branch>
        <iomarker fontsize="28" x="864" y="1808" name="clk" orien="R180" />
    </sheet>
</drawing>